Bug 1260609 - bucardo-4.5.0-11.fc24 FTBFS randomly: Bucardo did not start, but we waited!
Summary: bucardo-4.5.0-11.fc24 FTBFS randomly: Bucardo did not start, but we waited!
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bucardo
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-07 11:15 UTC by Petr Pisar
Modified: 2017-08-08 12:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 12:13:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2015-09-07 11:15:25 UTC
bucardo-4.5.0-11.fc24 fails to build in F24 sometimes:

+ make test
cp bucardo_ctl blib/script/bucardo_ctl
"/usr/bin/perl" -MExtUtils::MY -e 'MY->fixin(shift)' -- blib/script/bucardo_ctl
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-release.t ........... skipped: Test skipped unless environment variable RELEASE_TESTING is set
t/01-basic.t ............. ok
Bucardo did not start, but we waited!
# Looks like you planned 14 tests but ran 9.
t/09-uniqueconstraint.t .. 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 5/14 subtests 
t/98-cleanup.t ........... ok
t/99-signature.t ......... skipped: Test skipped unless environment variable RELEASE_TESTING is set
Test Summary Report
-------------------
t/09-uniqueconstraint.t (Wstat: 65280 Tests: 9 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 14 tests but ran 9.
Files=5, Tests=15, 60 wallclock secs ( 0.04 usr  0.01 sys +  5.72 cusr  1.46 csys =  7.23 CPU)
Result: FAIL
Failed 1/5 test programs. 0/15 subtests failed.

This looks like a race condition in the tests.

Comment 1 Jan Kurik 2016-02-24 13:43:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Fedora End Of Life 2017-07-25 19:15:25 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Petr Pisar 2017-07-26 11:57:18 UTC
I didn't see the failure for some time. Maybe because of upgrade to 5.4.1.

Comment 4 Fedora End Of Life 2017-08-08 12:13:13 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.